Package: org.gradle.nativeplatform

## [Java] Interface NativeComponentSpec

- org.gradle.nativeplatform.NativeComponentSpec

- All Superinterfaces:
    ComponentSpec

  Definition of a software component that is to be built by Gradle to run a on JVM platform.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getBaseName()` The name that is used to construct the output file names when building this component.
    `void` | `setBaseName(String baseName)` Sets the name that is used to construct the output file names when building this component.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ComponentSpec` | `binaries, getBinaries, getDisplayName, getProjectPath, getSource, getSources, sources`
    `interface Named` | `getName`

- - ### Method Detail

    - #### public String getBaseName()

      The name that is used to construct the output file names when building this component.

    - #### public void setBaseName(String baseName)

      Sets the name that is used to construct the output file names when building this component.